{% extends "layout.html" %}
{%- block htmltitle -%}
<title>{{ shorttitle }}</title>
{%- endblock -%}
{% block body %}
<h1>{{ docstitle|e }}</h1>
<p><strong>Autopilot is a tool for writing <i>functional tests</i> for <i>GUI</i> applications.</strong></p>
<p>It works out-of-the-box for Several GUI toolkits, including Gtk2, Gtk3, Qt4, and Qt5/Qml.</p>
  <h2>Parts of the documentation:</h2>
  <table class="contentstable" align="center">
    <tr>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("tutorial/what_is_autopilot") }}">What is Autopilot?</a><br/>
            <span class="linkdescr">... and who is Otto anyway?</span>
        </p>
      </td>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("faq/troubleshooting") }}">How To Troubleshoot My Failing Test</a><br/>
            <span class="linkdescr">My test works . . . sometimes  . . . </span>
          </p>
      </td>
    </tr>
    <tr>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("guides/installation") }}">Installing Autopilot</a><br/>
            <span class="linkdescr">I need this on my machine!</span>
          </p>
      </td>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("faq/faq") }}">Frequently Asked Questions</a><br/>
            <span class="linkdescr">... with answers!</span>
        </p>
      </td>
    </tr>
    <tr>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("tutorial/tutorial") }}">Autopilot Tutorial</a><br/>
            <span class="linkdescr">Grok Autopilot!</span>
          </p>
      </td>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("porting/porting") }}">Porting Autopilot Tests</a><br/>
            <span class="linkdescr">How to port your tests from earlier versions of Autopilot.</span>
        </p>
      </td>
    </tr>
    <tr>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("guides/running_ap") }}">Running Tests</a><br/>
            <span class="linkdescr">How do I start this thing?</span>
        </p>
      </td>
       <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("api/index") }}">API Reference</a><br/>
            <span class="linkdescr">API reference documentation for Autopilot.</span>
        </p>
      </td>
    </tr>
    <tr>
      <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("guides/good_tests") }}">Writing Good Tests</a><br/>
            <span class="linkdescr">Tips to bring out the test writer in you.</span>
        </p>
      </td>
        <td width="50%">
        <p class="biglink">
            <a class="biglink" href="{{ pathto("appendix/appendix") }}">Appendices</a><br/>
            <span class="linkdescr">Technical documentation that doesn't fit anywhere else.</span>
        </p>
      </td>
    </tr>
  </table>

  <h2>Indices and tables:</h2>
  <table class="contentstable" align="center">
      <tr>
        <td width="50%">
            <p class="biglink">
                <a class="biglink" href="{{ pathto("py-modindex") }}">Module Index</a><br/>
                <span class="linkdescr">quick access to all modules.</span>
             </p>
        </td>
        <td width="50%">
            <p class="biglink">
                <a class="biglink" href="{{ pathto("contents") }}">Complete Table of Contents</a><br/>
                <span class="linkdescr">lists all sections and subsections.</span>
            </p>
        </td>
    </tr>
  </table>
{% endblock %}
